Bug 1285350 (xsa163)

Summary: xen: Virtual Performance Measurement Unit feature is unsupported
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, ailan, aquini, bhu, blc, dhoward, drjones, esammons, fhrbata, hkrzesin, hwkernel-mgr, iboverma, imammedo, jforbes, jkacur, jross, kernel-mgr, knoel, lgoncalv, lwang, matt, m.a.young, mcressma, mguzik, mlangsdo, mrezanin, nmurray, osoukup, pbonzini, plougher, rkrcmar, rt-maint, rvrbovsk, virt-maint, vkuznets, williams, wmealing, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
The Virtual Performance Measurement Unit feature has been documented as unsupported on Intel CPUs. Further issues have been found or are suspected which would also (or exclusively) affect AMD CPUs. Use of the feature may have unknown effects, ranging from information leaks through Denial of Service to privilege escalation.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-19 12:42:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1285351    
Bug Blocks: 1284949    

Description Adam Mariš 2015-11-25 12:45:53 UTC
The Virtual Performance Measurement Unit feature has been documented as unsupported on Intel CPUs. Further issues have been found or are suspected which would also (or exclusively) affect AMD CPUs. Use of the feature may have unknown effects, ranging from information leaks through Denial of Service to privilege escalation.

Only systems which enable the VPMU feature are affected. That is, only systems with a `vpmu' setting on the hypervisor command line. Xen versions from 3.3 onwards are affected. Only x86 systems are affected. ARM systems do not currently implement vPMU and are therefore currently unaffected. In Xen versions prior to 4.6 only HVM guests can take advantage of this unsupported functionality. In Xen versions from 4.6 onwards all guest kinds can use this unsupported functionality. Not enabling vPMU support (by omitting the "vpmu" hypervisor command line option) will avoid using and exposing the unsupported functionality.

Comment 1 Adam Mariš 2015-11-25 12:46:24 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1285351]

Comment 2 Martin Prpič 2015-12-08 12:41:23 UTC
External References:

http://xenbits.xen.org/xsa/advisory-163.html

Comment 4 Fedora Update System 2015-12-17 07:26:34 UTC
xen-4.5.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-12-20 00:22:44 UTC
xen-4.5.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Wade Mealing 2017-10-19 12:17:26 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 5,6,7, MRG-2 and realtime.

The code that enables VPMU as a valid instructions are not included in the
initial version of xen that ships with Red Hat Enterprise Linux 5.

Comment 10 Wade Mealing 2017-10-19 12:35:29 UTC
Mitigation:

At this time this flaw only affects systems with the hypervisor booted with the vpmu parameter, which is not supported by the version shipping with Red Hat Enterprise Linux 5.